package net.sf.l2j.tools.config;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;
import java.util.logging.Logger;

public final class L2Config
{
	protected static final Logger _log = Logger.getLogger(L2Config.class.getName());
	// **************************************************************************************************
	public static final String TELNET_FILE = "./config/telnet.properties";
	// **************************************************************************************************
	/** Is telnet enabled ? */
	public static boolean IS_TELNET_ENABLED;

	// **************************************************************************************************
	public static void loadTelnetConfig()
	{
		// telnet
		try
		{
			Properties telnetSettings = new Properties();
			InputStream is = new FileInputStream(new File(TELNET_FILE));
			telnetSettings.load(is);
			is.close();
			IS_TELNET_ENABLED = Boolean.valueOf(telnetSettings.getProperty("EnableTelnet", "false"));
		}
		catch (Exception e)
		{
			e.printStackTrace();
			throw new Error("Failed to Load " + TELNET_FILE + " File.");
		}
	}

	public static void load()
	{
		loadTelnetConfig();
	}
}
